<?php
	// Exit if accessed directly
	if( !defined( 'ABSPATH' ) ) exit;

	
	class mg2wpForo_wpqa extends wpForoMg2Board{
		public function get_users_count(){
			if( $count = $this->db->get_var("SELECT COUNT(*) FROM ".$this->db->base_prefix."users") ) return $count;
			return 0;
		}
		
		public function get_forums_count(){
			if( $count = $this->db->get_var("SELECT COUNT(*) FROM `".$this->db->prefix."term_taxonomy` WHERE `taxonomy` LIKE 'cma_category'") ) return $count;
			return 0;
		}
		
		public function get_topics_count(){
			if( $count = $this->db->get_var("SELECT COUNT(*) FROM ".$this->db->prefix."posts WHERE post_status IN('publish', 'private') AND post_type LIKE 'cma_thread'") ) return $count;
			return 0;
		}
		
		public function get_posts_count(){
			if( $count = $this->db->get_var("SELECT COUNT(*) FROM `".$this->db->prefix."comments` WHERE `comment_type` LIKE 'cma_answer'") ) return $count + $this->get_topics_count();
			return 0;
		}
		
		public function get_forums(){
			$sql = "SELECT tt.`term_taxonomy_id` AS old_id, 
					t.`name` AS title, 
					t.`slug` AS slug, 
					tt.`description` AS description, 
					tt.`parent` AS parentid 
				FROM `".$this->db->prefix."term_taxonomy` tt
				INNER JOIN `".$this->db->prefix."terms` t ON t.`term_id` = tt.`term_id`
				WHERE tt.`taxonomy` LIKE 'cma_category'
				ORDER BY parentid, old_id";
			return $this->db->get_results($sql, ARRAY_A);
		}
		
		public function get_topics($lastid = 0){
			$sql = "SELECT p.ID AS old_id, 
					p.post_author AS userid, 
					p.post_title AS title, 
					p.post_name AS slug, 
					p.post_content AS body, 
					MIN(tr.`term_taxonomy_id`) AS forumid, 
					p.post_date AS created 
				FROM ".$this->db->prefix."posts p
				INNER JOIN `".$this->db->prefix."term_relationships` tr ON tr.`object_id` = p.`ID`
				INNER JOIN `".$this->db->prefix."term_taxonomy` tt ON tt.`term_taxonomy_id` = tr.`term_taxonomy_id` AND tt.`taxonomy` LIKE 'cma_category'
				WHERE p.ID > $lastid
					AND p.post_status IN('publish', 'private') 
					AND p.post_type = 'cma_thread'
				GROUP BY old_id
				ORDER BY old_id";
			return $this->db->get_results($sql.$this->limit, ARRAY_A);
		}
		
		public function get_replies($lastid = 0){
			$sql = "SELECT comment_ID AS old_id, 
					user_id AS userid, 
					CONCAT('Answer: ', p.`post_title`) AS title, 
					comment_content AS body, 
					comment_post_ID AS topicid, 
					comment_date AS created
				FROM `".$this->db->prefix."comments` c
				INNER JOIN `".$this->db->prefix."posts` p ON p.`ID` = c.`comment_post_ID`
				INNER JOIN `".$this->db->prefix."term_relationships` tr ON tr.`object_id` = p.`ID`
				INNER JOIN `".$this->db->prefix."term_taxonomy` tt ON tt.`term_taxonomy_id` = tr.`term_taxonomy_id` AND tt.`taxonomy` LIKE 'cma_category'
				WHERE comment_ID > $lastid
					AND comment_approved = '1'
					AND comment_type LIKE 'cma_answer' 
				ORDER BY old_id";
			return $this->db->get_results($sql.$this->limit, ARRAY_A);
		}
		
	}
	
	$mg2wpforo->wpqa = new mg2wpForo_wpqa();
?>